Subject: bug#52792: 27.2; please don't hardcode utf-8 when fetching group list

From: LdBeth <[email-masked]>
Date: Sun, 26 Dec 2021 00:19:03 +0800

The problematic code is located at gnus-srvr.el,
`gnus-browse-foreign-server' in commit
cb12a84f2c519a48dd87453c925e3bc36d9944db, that hard codes
`utf-8-emacs' for group lists. That would cause problems for NNTP
servers that are still not using utf-8, which is common among some
Chinese servers that widely uses gbk coding. It would render group
subscription unusable when `gnus-group-name-charset-group-alist' has
been setup to translate the group names, because Gnus would think
the translated group names different from the wrongly decoded group name
fetched from the server.

I propose for reverting the removal of group name encoding, although I
didn't fully understand the reason for that commit. Or at least,
consider add a method to set the encoding for particular server, to
work around this problem.

-- 
LDB